unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, AdvUtil, Vcl.Grids, AdvObj, BaseGrid,
  AdvGrid;

type
  TForm1 = class(TForm)
    AdvStringGrid1: TAdvStringGrid;
    procedure FormCreate(Sender: TObject);
    procedure AdvStringGrid1GetEditorType(Sender: TObject; ACol, ARow: Integer;
      var AEditor: TEditorType);
    procedure AdvStringGrid1EditCellDone(Sender: TObject; ACol, ARow: Integer);
    procedure AdvStringGrid1GetEditorProp(Sender: TObject; ACol, ARow: Integer;
      AEditLink: TEditLink);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.AdvStringGrid1EditCellDone(Sender: TObject; ACol,
  ARow: Integer);
var
  cell: string;
  i: integer;
begin
  AdvStringGrid1.BeginUpdate;
  Cell := AdvStringGrid1.AllCells[ACol, ARow];

  for i := 0 to AdvStringGrid1.SelectedRowCount - 1 do
  begin
    AdvStringGrid1.Cells[ACol, AdvStringGrid1.SelectedRow[i]] := AdvStringGrid1.Cells[ACol, ARow];
  end;

  AdvStringGrid1.EndUpdate;
end;

procedure TForm1.AdvStringGrid1GetEditorProp(Sender: TObject; ACol,
  ARow: Integer; AEditLink: TEditLink);
begin
  if ACol = 1 then
  begin
    AdvStringGrid1.ClearComboString;
    AdvStringGrid1.Combobox.Items.Add('test1');
    AdvStringGrid1.Combobox.Items.Add('test2');
  end;
end;

procedure TForm1.AdvStringGrid1GetEditorType(Sender: TObject; ACol,
  ARow: Integer; var AEditor: TEditorType);
begin
  if ACol = 1 then
    AEditor := TEditorType.edComboList
  else
    AEditor := TEditorType.edEditBtn
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i,j: integer;
begin
  advstringgrid1.Options := advstringgrid1.Options +[goEditing];
  AdvStringGrid1.ControlLook.DropDownAlwaysVisible := true;
  AdvStringGrid1.MouseActions.RangeSelectAndEdit := true;


  for i := 0 to AdvStringGrid1.ColCount - 1 do
  begin
    AdvStringGrid1.Cols[i].BeginUpdate;
    try
      // Add row data
      for j := 1 to AdvStringGrid1.RowCount - 1 do
        AdvStringGrid1.Cols[i][j] := i.ToString + j.ToString;
    finally
      AdvStringGrid1.Cols[i].EndUpdate;
    end;
  end;
end;

end.
